﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
//using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;
using CrystalDecisions.ReportSource;

namespace SAP_Tutorial
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ReportDocument RepDoc = null;

        public MainWindow()
        {
            InitializeComponent();
            try
            {
                RepDoc.Load(@"c:\temp\test.rpt");
                CrystalReportsViewer1.ViewerCore.ReportSource = RepDoc;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        public MainWindow(ReportDocument repDoc)
        {
            InitializeComponent();
            try
            {
                RepDoc = repDoc;
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void CrystalReportsViewer1_Loaded(object sender, RoutedEventArgs e)
        {
            CrystalReportsViewer1.ShowLogo = false;
            CrystalReportsViewer1.ViewerCore.EnableDrillDown = false;
            CrystalReportsViewer1.ViewerCore.ProductLocale = new System.Globalization.CultureInfo("de-DE");
            CrystalReportsViewer1.ViewerCore.ReportSource = RepDoc;
        }
    }
}
